export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  xLabelFormat,
  color
}) => (
  <>
    {data.map((d, i) => (
      <rect
        className="mark"
        key={i}
        x={0}
        y={yScale(yValue(d))}
        height={yScale.bandwidth()}
        width={xScale(xValue(d))}
        fill={color}
      >
        <title>{xLabelFormat(xValue(d))}</title>
      </rect>
    ))}
  </>
);